<?php
/**
 * @package admin
 * @copyright Copyright 2003-2007 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: product.php 6131 2007-04-08 06:56:51Z drbyte $
 */

  require('includes/application_top.php');

  require(DIR_WS_MODULES . 'prod_cat_header_code.php');

	$parameters = array('products_name' => '',
                       'products_description' => '',
                       'products_url' => '',
                       'products_id' => '',
                       'products_quantity' => '',
                       'products_model' => '',
                       'products_image' => '',
                       'products_price' => '',
                       'products_virtual' => DEFAULT_PRODUCT_PRODUCTS_VIRTUAL,
                       'products_weight' => '',
                       'products_date_added' => '',
                       'products_last_modified' => '',
                       'products_date_available' => '',
                       'products_status' => '',
                       'products_tax_class_id' => DEFAULT_PRODUCT_TAX_CLASS_ID,
                       'manufacturers_id' => '',
                       'products_quantity_order_min' => '',
                       'products_quantity_order_units' => '',
                       'products_priced_by_attribute' => '',
                       'product_is_free' => '',
                       'product_is_call' => '',
                       'products_quantity_mixed' => '',
                       'product_is_always_free_shipping' => DEFAULT_PRODUCT_PRODUCTS_IS_ALWAYS_FREE_SHIPPING,
                       'products_qty_box_status' => PRODUCTS_QTY_BOX_STATUS,
                       'products_quantity_order_max' => '0',
                       'products_sort_order' => '0',
                       'products_discount_type' => '0',
                       'products_discount_type_from' => '0',
                       'products_price_sorter' => '0',
                       'master_categories_id' => ''
                       );

    $pInfo = new objectInfo($parameters);

    if (isset($_GET['pID']) && empty($_POST)) {
      $product = $db->Execute("select pd.products_name, pd.products_description, pd.products_url,
                                      p.products_id, p.products_quantity, p.products_model,
                                      p.products_image, p.products_price, p.products_virtual, p.products_weight,
                                      p.products_date_added, p.products_last_modified,
                                      date_format(p.products_date_available, '%Y-%m-%d') as
                                      products_date_available, p.products_status, p.products_tax_class_id,
                                      p.manufacturers_id,
                                      p.products_quantity_order_min, p.products_quantity_order_units, p.products_priced_by_attribute,
                                      p.product_is_free, p.product_is_call, p.products_quantity_mixed,
                                      p.product_is_always_free_shipping, p.products_qty_box_status, p.products_quantity_order_max,
                                      p.products_sort_order,
                                      p.products_discount_type, p.products_discount_type_from,
                                      p.products_price_sorter, p.master_categories_id
                              from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd
                              where p.products_id = '" . (int)$_GET['pID'] . "'
                              and p.products_id = pd.products_id
                              and pd.language_id = '" . (int)$_SESSION['languages_id'] . "'");

      $pInfo->objectInfo($product->fields);
    }
	
  	$action = (isset($_GET['action']) ? $_GET['action'] : '');
	$file = explode(".", $pInfo->products_image);
 	$products_image_base = $file[0];
	$products_image_directory = str_replace($products_image, '', substr($products_image, strrpos($products_image, '/')));
	if ($products_image_directory != '') {
	    $products_image_directory = "../".DIR_WS_IMAGES . str_replace($products_image_directory, '', $products_image) . "/";
	} else {
	    $products_image_directory = "../".DIR_WS_IMAGES;
	}
	  
switch($action){
	case "A" :{
	if($products_image_base !=""){
		$products_image = $pInfo->products_image; 	
		$file2 = explode(".", $_FILES["image"]["name"]);	
		$ext = $file2[1];	
		
		  // Check for additional matching images
		  $file_extension = $products_image_extension;
		  $products_image_match_array = array();
		  if ($dir = @dir($products_image_directory)) {
		    while ($file = $dir->read()) {
		      if (!is_dir($products_image_directory . $file)) {	        
		          if(preg_match("/" . $products_image_base . "/i", $file) == 1) {
		            if ($file != $products_image) {
		              if ($products_image_base . str_replace($products_image_base, '', $file) == $file) {   
		                $images_array[] = $file;
		              } else {
		                //  echo 'I AM NOT A MATCH ' . $file . '<br>';
		              }
		            }
		          }	        
		      }
		    }
		    if (sizeof($images_array)) {
		      sort($images_array);
		    }
		    $dir->close();
		  }
		
		  $l_img = $images_array[sizeof($images_array)-1];
		  $part = explode(".",$l_img);
		  
		  $part1 = explode("_",$part[0]);
		  $num = $part1[sizeof($part1)-1]+1;

			$new_file = $products_image_base."_".$num.".".$ext;
			
			copy($_FILES["image"]["tmp_name"], $products_image_directory.$new_file) or die("error");
	
			header("Location:".$_SERVER["PHP_SELF"].'?pID=' . $_GET['pID']);
			empty($images_array);
		}
		break;
	}
	case "D" :{
		$image = $_GET["img"];
		unlink($products_image_directory.$image);
		header("Location:".$_SERVER["PHP_SELF"].'?pID=' . $_GET['pID']);
		break;
		
	}
}
// check if the catalog image directory exists
  if (is_dir(DIR_FS_CATALOG_IMAGES)) {
    if (!is_writeable(DIR_FS_CATALOG_IMAGES)) $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE, 'error');
  } else {
    $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST, 'error');
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
if (typeof _editor_url == "string") HTMLArea.replaceAll();
 }
 // -->
</script>
<?php if ($action != 'new_product_meta_tags' && $editor_handler != '') include ($editor_handler); ?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="init()">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="60%" cellspacing="2" cellpadding="2" align="center">
  <tr>
<!-- body_text //-->
    <td width="100%" valign="top">
    	<table border="0" cellspacing="2" cellpadding="2">
		<?php
	    for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
		?>
          <tr>
            <td class="main" style="width:100px"><?php if ($i == 0) echo TEXT_PRODUCTS_NAME; ?></td>
            <td class="main">
				<?php echo zen_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) . '&nbsp;' . (isset($products_name[$languages[$i]['id']]) ? stripslashes($products_name[$languages[$i]['id']]) : zen_get_products_name($pInfo->products_id, $languages[$i]['id'])); ?>
			</td>
          </tr>
		<?php
		}
		?>		
        </table>
    </td>
    </tr>
    <tr>
	<td>
<a href="<?php echo  zen_href_link(FILENAME_PRODUCT,'&cPath=' . $cPath . '&pID=' . $_GET['pID']) ?>">Back</a>
	<form action="<?php echo $_SERVER["PHP_SELF"] ?>?action=A<?php echo '&cPath=' . $cPath . '&pID=' . $_GET['pID'] ?>" method="POST" enctype="multipart/form-data">
	<?php echo TEXT_PRODUCTS_UPLOAD ?>
	<input type="file" name="image">
	<input type="submit" value="Upload">
	</form>
	</td>
	</tr>
    <tr>
		<td align="center">
			<table border="0" width="100%" cellspacing="0" cellpadding="2">
	              <tr class="dataTableHeadingRow">
	<?php if ($action == '') { ?>
	                <td class="dataTableHeadingContent" width="20" align="right"><?php echo TABLE_HEADING_ID; ?></td>	                
	                <td class="dataTableHeadingContent" align="right"><?php echo TEXT_PRODUCTS_IMAGE; ?></td>
	                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
	<?php } // action == '' ?>
	              </tr>
	              <?php
	$file = explode(".", $pInfo->products_image);	
	$fname = $file[0];
	
  	$products_image_base = $fname;
	
	
	  $products_image_directory = str_replace($products_image, '', substr($products_image, strrpos($products_image, '/')));
	  if ($products_image_directory != '') {
	    $products_image_directory = "../".DIR_WS_IMAGES . str_replace($products_image_directory, '', $products_image) . "/";
	  } else {
	    $products_image_directory = "../".DIR_WS_IMAGES;
	  }
	
	  // Check for additional matching images
	  $file_extension = $products_image_extension;
	  $products_image_match_array = array();
	  if ($dir = @dir($products_image_directory)) {
	    while ($file = $dir->read()) {
	      if (!is_dir($products_image_directory . $file)) {	
		  	$match = preg_match("/" . $products_image_base . "/i", $file);
	          if(preg_match("/" . $products_image_base . "/i", $file) == 1) {
	            if ($file != $products_image) {
	              if ($products_image_base . str_replace($products_image_base, '', $file) == $file) {
	                //  echo 'I AM A MATCH ' . $file . '<br>';
	                if($file != $pInfo->products_image)
		                $images_array[] = $file;
	              } else {
	                //  echo 'I AM NOT A MATCH ' . $file . '<br>';
	              }
	            }
	          }	        
	      }
	    }
	    if (sizeof($images_array)) {
	      sort($images_array);
	    }
	    $dir->close();
	  }
	 if($products_image_base != ""){
		  for($imgi = 0; $imgi<sizeof($images_array);$imgi++){
		  	$sr = $imgi + 1;
		  	
		  	if (isset($_GET["img"]) && ($_GET["img"] == $images_array[$imgi]) ) {
        		echo '<tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)">' . "\n";
		    } 
			else {
        		echo '<tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)">' . "\n";
      		}
      		
				echo "<td class='dataTableContent'>".$sr."</td>";
				echo '<td class="dataTableContent" align="right">'.zen_image($products_image_directory.$images_array[$imgi],'',50).'</td>';
				echo "<td class='dataTableContent'  align='right'><a href='".$_SERVER["PHP_SELF"]."?action=D&img=".$images_array[$imgi].'&pID=' . $_GET['pID']."' onClick='return confirm(\"Are you sure to delete?\")'>Delete</a></td>";
			echo "</tr>";
			//echo '<tr><td colspan="3" style="border-bottom:1px solid #666666; height:1px;"></td></tr>';
		}
	}
	?>
			</table>	
		</td>
	</tr>	
	
    </table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
